summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Martin Lefebvre <dadexter@sekurity.com>2010-05-11 20:01:38 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 20:01:38 +0200
commit576ab66adb85fd44454f434c047b96e6ace961be (patch)
tree842e7fa3872de76dd6f061b5155d98500dd4c44e
parentf0ca0110578dc3aa922dd5862f64de2354a09c9e (diff)
downloadslackbuilds-576ab66adb85fd44454f434c047b96e6ace961be.tar.gz
slackbuilds-576ab66adb85fd44454f434c047b96e6ace961be.tar.xz
network/ndiswrapper: Added to 12.0 repository
-rw-r--r--network/ndiswrapper/README9
-rw-r--r--network/ndiswrapper/doinst.sh4
-rw-r--r--network/ndiswrapper/ndiswrapper.SlackBuild87
-rw-r--r--network/ndiswrapper/ndiswrapper.info8
-rw-r--r--network/ndiswrapper/slack-desc19
5 files changed, 127 insertions, 0 deletions
diff --git a/network/ndiswrapper/README b/network/ndiswrapper/README
new file mode 100644
index 0000000000..8edf5b2479
--- /dev/null
+++ b/network/ndiswrapper/README
@@ -0,0 +1,9 @@
+ndiswrapper - wrapper for NDIS drivers
+
+Some vendors do not release specifications of the hardware or
+providea linux driver for their wireless network cards. This
+project provides a linux kernel module that loads and runs NDIS
+(Windows network driver API) drivers supplied by the vendors.
+
+Be sure to read the INSTALL file in the package's documentation
+directory for instructions on configuring your wireless card.
diff --git a/network/ndiswrapper/doinst.sh b/network/ndiswrapper/doinst.sh
new file mode 100644
index 0000000000..123772d054
--- /dev/null
+++ b/network/ndiswrapper/doinst.sh
@@ -0,0 +1,4 @@
+#!/bin/sh
+
+chroot . /sbin/depmod -a
+
diff --git a/network/ndiswrapper/ndiswrapper.SlackBuild b/network/ndiswrapper/ndiswrapper.SlackBuild
new file mode 100644
index 0000000000..3f4d1b4137
--- /dev/null
+++ b/network/ndiswrapper/ndiswrapper.SlackBuild
@@ -0,0 +1,87 @@
+#!/bin/sh
+
+# Slackware build script for ndiswrapper
+
+# Copyright 2007 Martin Lefebvre <dadexter@sekurity.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+# Modified by the SlackBuilds.org project
+
+set -e
+
+PRGNAM=ndiswrapper
+VERSION=1.47
+KERNEL=$(uname -r | tr '-' '_') # This does not seem configurable
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -zxvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+chmod -R a-s,u+w,go+r-w .
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+make
+make install DESTDIR=$PKG
+
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+)
+
+
+if [ -d $PKG/usr/man ]; then
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+fi
+
+# Cleaning up a few things
+rm $PKG/lib/modules/*/modules.*
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n \
+ $OUTPUT/$PRGNAM-${VERSION}_$KERNEL-$ARCH-$BUILD$TAG.tgz
diff --git a/network/ndiswrapper/ndiswrapper.info b/network/ndiswrapper/ndiswrapper.info
new file mode 100644
index 0000000000..87b224a4a9
--- /dev/null
+++ b/network/ndiswrapper/ndiswrapper.info
@@ -0,0 +1,8 @@
+PRGNAM="ndiswrapper"
+VERSION="1.47"
+HOMEPAGE="http://ndiswrapper.sourceforge.net"
+DOWNLOAD="http://downloads.sourceforge.net/ndiswrapper/ndiswrapper-1.47.tar.gz"
+MD5SUM="df02cbf0e514797f98a108d8566cb417"
+MAINTAINER="Martin Lefebvre"
+EMAIL="dadexter@sekurity.com"
+APPROVED="rworkman"
diff --git a/network/ndiswrapper/slack-desc b/network/ndiswrapper/slack-desc
new file mode 100644
index 0000000000..2b21c98f52
--- /dev/null
+++ b/network/ndiswrapper/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+ndiswrapper: ndiswrapper (wrapper for NDIS drivers)
+ndiswrapper:
+ndiswrapper: Some vendors do not release specifications of the hardware or
+ndiswrapper: providea linux driver for their wireless network cards. This
+ndiswrapper: project provides a linux kernel module that loads and runs NDIS
+ndiswrapper: (Windows network driver API) drivers supplied by the vendors.
+ndiswrapper:
+ndiswrapper:
+ndiswrapper:
+ndiswrapper:
+ndiswrapper: